<?php

/*

 $Id: show_options.inc,v 1.25 2003/12/22 22:42:31 vollmerk Exp $
 $Source: /a1/cvsroot/maint/templates/show_options.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
        @header Show Options Template
	Show a listing of the DHCP options for this workgroup or
	subnet.  They use the same option types.

*/

if ($type ==='host') { 
	$object = new Host($object_id); 
	$object->name = $object->hostname;
}
elseif ($type == 'workgroup') { 
	$object = new Workgroup($object_id);
}
elseif ($type == 'subnet') { 
	$object = new Subnet($object_id);
}
?>
<p class="header2">Viewing DHCP Options for the <?= $object->name . " " .  $type; ?></p>
<? $conf['help']->display_help('dhcp_option_general'); ?>
<?
$items = array();
$link = $conf['web_path'] . "/option.php?action=show_create_option&amp;type_id=$object_id&amp;type=$type";
$items[] = "<a href=\"$link\">Add a new DHCP Option to this $type</a>";
$link = $conf['web_path'] . "/" . $type . ".php?action=show_" . $type . "&amp;" . $type . "_id=$object_id";
$items[] = "<a href=\"$link\">View the $type assoicated with these Options</a>";
$conf['ui']->display_top_widget($items);

show_template('tborder'); 
if ( $user->view->limit ) {
	$conf['ui']->show_list_header( count($options) );
}
?>

<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
    		<td title="<? $conf['help']->title('options_dhcp'); ?>">DHCP Option</td>
    		<td title="<? $conf['help']->title('options_value'); ?>">Entered Value</td>
		<td title="<? $conf['help']->title('options_value'); ?>">Final Value</td>
		<td title="<? $conf['help']->title('options_scope'); ?>">Scope</td>
                <td>Action</td>
	</tr>

<?
if (count($options)) { 
foreach ($options as $option) {
if ($option->type =='host') { 
	$option->hostname = $object->name;
	$option->ip->ip_addr = $object->ip->ip_addr;
	$option->ha = $object->ha;
}
if ($option->type =='workgroup' && $_REQUEST['host_id']) {
	$host = new Host($_REQUEST['object_id']);
	$option->hostname = $host->name;
	$option->ip->ip_addr = $host->ip->ip_addr;
	$option->ha = $host->ha;
}
?>
	<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><? $conf['ui']->display_field($option->dhcp_option_name); ?></td>
		<td><? $conf['ui']->display_field($option->value); ?></td>
		<td><? $conf['ui']->display_field($conf['ui']->parse_dhcp_option($option->value,$option)); ?></td>
		<td><? $conf['ui']->display_field($option->scope); ?></td>
		<td>
			<? if ($action != 'view') { ?>
			<a href="<?= $conf['web_path']; ?>/option.php?action=show_edit&amp;option_id=<?=  $option->id ?>&amp;type=<?=  $type ?>&amp;object_id=<?= $object_id; ?>">Edit</a> |
			<a href="<?= $conf['web_path']; ?>/option.php?action=delete&amp;option_id=<?=  $option->id ?>&amp;type=<?= $type ?>&amp;object_id=<?= $object_id; ?>&amp;zone_id=<?= $conf['zone']->id; ?>">Delete</a>
			<? } else { ?>
			No Actions
			<? } ?>
		</td>
	</tr>
<?
} // foreach

} // if there are options

else {
?>
	<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td colspan="5" class="fatalerror">No <?= $type; ?> Options Found</td>
	</tr>
<?
} // else no options there
?>

</table>

<?

if ( $user->view->limit ) {
	$conf['ui']->show_list_header($total_subnets[0]);
}
show_template('bborder'); 
?>

